#ifndef NICKNAME_H
#define NICKNAME_H

#include <QObject>
#include <QDialog>

class QPushButton;
class QLineEdit;
class QComboBox;
class QVBoxLayout;

class Nickname : public QDialog {

Q_OBJECT

public:
    int userConection;
    Nickname(QWidget *parent=0);
    int run();

private slots:
    void verific();
    void changeToServer();

private:
    QPushButton *botonAceptar, *botonCancelar;
    QLineEdit *campoUsuario, *serverIp;
    QComboBox *serverOLocal;
    QVBoxLayout *layoutIp;

};

#endif // NICKNAME_H
